Subject: bug#7383: closed (Re: bug#7383: 24.0.50; end-of-line style on remote files)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 May 2011 18:01:02 +0000

Your bug report

#7383: 24.0.50; end-of-line style on remote files

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7383: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7383
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7383: 24.0.50; end-of-line style on remote files
From: Michael Albinus <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>
Date: Fri, 06 May 2011 20:00:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris <[email-masked]> writes:

> Michael Albinus wrote:
>
>> I've fixed it in the tunk.
>
> So can this be closed?

Yes. I wanted to wait for the confirmation of Dani, but OTOH he said
already that setting of `ange-ftp-binary-file-name-regexp' to "" works
for him.

So I close it.

Best regards, Michael.

Subject: 24.0.50; end-of-line style on remote files
From: Dani Moncayo <[email-masked]>
To: [email-masked]
Date: Fri, 12 Nov 2010 11:37:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

It seems that Emacs doesn't respect the end-of-line style when dealing
with remote files.

Try this:
1.- Start Emacs (emacs -Q)
2.- Open a remote file, which has DOS end-of-line style (<cr><lf>).
3.- Make a change to the file and save it.
4.- The modeline still says that the end-of-line style is DOS (char
"\" on Windows version), but in fact it isn't. It has changed to UNIX
style (<lf>).

...and even worse:
5.- M-x revert-buffer.
6.- The modeline keeps unchanged (like in step 4). In order to get the
correct modeline flag, you have to kill the buffer and re-visit the
file.

---------------------------------------
Dani.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-11-09 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags
-Ic:/imagesupport/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ESP
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Conf[Space]

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t